Package edu.wisc.game.engine

## Enum RuleSet.BucketSelector

- java.lang.Object
- - java.lang.Enum<RuleSet.BucketSelector>
  - - edu.wisc.game.engine.RuleSet.BucketSelector

- All Implemented Interfaces:
    `Serializable`, `Comparable<RuleSet.BucketSelector>`
  Enclosing class:
    RuleSet

      public static enum RuleSet.BucketSelector
      extends Enum<RuleSet.BucketSelector>

  The list of "legacy" variables that can be used in the bucket expression. (More variables were added later, such as "p.*"

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Nearby` |
    `p` |
    `pc` |
    `ps` |
    `Remotest` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RuleSet.BucketSelector` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RuleSet.BucketSelector[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### p

          public static final RuleSet.BucketSelector p

    - #### pc

          public static final RuleSet.BucketSelector pc

    - #### ps

          public static final RuleSet.BucketSelector ps

    - #### Nearby

          public static final RuleSet.BucketSelector Nearby

    - #### Remotest

          public static final RuleSet.BucketSelector Remotest

  - ### Method Detail

    - #### values

          public static RuleSet.BucketSelector[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuleSet.BucketSelector c : RuleSet.BucketSelector.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuleSet.BucketSelector valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null